from machine import PWM, ADC, Pin
from time import sleep

input_pin = 28
output_pin = 16

analog_input = ADC(Pin(input_pin))
analog_output = PWM(Pin(output_pin))

analog_output.freq(1000)

while True:
    input_digits = analog_input.read_u16()
    output_digits = input_digits - 240 if input_digits - 240 >= 0 else 0
    analog_output.duty_u16(output_digits)
    sleep(.1)